{
  "schema_version": "1.4.0",
  "id": "GHSA-wh82-w6g6-vr7h",
  "modified": "2022-05-17T03:14:23Z",
  "published": "2022-05-17T03:14:23Z",
  "aliases": [
    "CVE-2015-4001"
  ],
  "details": "Integer signedness error in the oz_hcd_get_desc_cnf function in drivers/staging/ozwpan/ozhcd.c in the OZWPAN driver in the Linux kernel through 4.0.5 allows remote attackers to cause a denial of service (system crash) or possibly execute arbitrary code via a crafted packet.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2015-4001"
    },
    {
      "type": "WEB",
      "url": "https://github.com/torvalds/linux/commit/b1bb5b49373b61bf9d2c73a4d30058ba6f069e4c"
    },
    {
      "type": "WEB",
      "url": "http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=b1bb5b49373b61bf9d2c73a4d30058ba6f069e4c"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-security-announce/2015-08/msg00011.html"
    },
    {
      "type": "WEB",
      "url": "http://openwall.com/lists/oss-security/2015/06/05/7"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/74672"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/USN-2665-1"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/USN-2667-1"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2015-06-07T23:59:00Z"
  }
}